# vim:ts=4 sw=4 sts=4 ai si et sta
from __future__ import print_function
from __future__ import unicode_literals
from __future__ import absolute_import
from __future__ import division

from ionas.request import XmlConfNode as Node


def node_to_dict(_node):
    _dict = {}
    _dict['sharename'] = _node.get_value('sharename')
    _dict['subdir'] = _node.get_value('subdir')
    return _dict


def dict_to_node(_dict, name):
    _node = Node(name)
    _node.append_child('sharename', text=_dict['sharename'])
    _node.append_child('subdir', text=_dict['subdir'])
    return _node
